#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanRoketCFGData
{
	//ID
	int mID;
	//高度
	int mHeight;
	//对应礼包ID
	int mGiftID;
	//权重
	int mWeight;
	//展示道具
	std::vector<int> mShowItem;
};

class M_ActivitySummerPlanRoketCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanRoketCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanRoketCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanRoketCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanRoketCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanRoketCFGData> mMapData;
};
